	TITLE	"Generate Parity Bit"
;
;***********************************************************************
;	Generate Parity Bit for the 8 bit register 'txmt'
;	The parity bit is sored in Bit 0 of 'parity'
;
;
;       Program:          PARITY.ASM 
;       Revision Date:   
;                         1-22-97      Compatibility with MPASMWIN 1.40
;
;***********************************************************************
;
        LIST            P = 17C42

	#include	<p17c42.inc>

	#define TRUE    1
	#define FALSE   0

#define	ODD_PARITY	FALSE
;
	
	CBLOCK	0x20
		txmt, parity
	ENDC		

	swapf	txmt,W
	xorwf	txmt,W
	movwf	parity
	rrncf	parity, F
	rrncf	parity, F
	xorwf	parity,W
	andlw	0x03
	addlw	0x01
	rrncf	WREG, F
	movwf	parity
;
 #if ODD_PARITY
	btg	parity,0
 #endif
;
	END

	
